Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.authentication
Class SshAuthenticationClient

    java.lang.Object
      com.sshtools.j2ssh.authentication.SshAuthenticationClient

Direct Known Subclasses:
  AgentAuthenticationClient, HostbasedAuthenticationClient, KBIAuthenticationClient, PasswordAuthenticationClient, PublicKeyAuthenticationClient

public abstract class SshAuthenticationClient
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SshAuthenticationClient()`

Method Summary
`abstract void` | `authenticate(AuthenticationProtocolClient authentication, java.lang.String serviceToStart)` DOCUMENT ME!
`abstract boolean` | `canAuthenticate()` DOCUMENT ME!
`boolean` | `canPrompt()` DOCUMENT ME!
`SshAuthenticationPrompt` | `getAuthenticationPrompt()` DOCUMENT ME!
`abstract java.lang.String` | `getMethodName()` DOCUMENT ME!
`abstract java.util.Properties` | `getPersistableProperties()` DOCUMENT ME!
`java.lang.String` | `getUsername()` DOCUMENT ME!
`void` | `setAuthenticationPrompt(SshAuthenticationPrompt prompt)` DOCUMENT ME!
`abstract void` | `setPersistableProperties(java.util.Properties properties)` DOCUMENT ME!
`void` | `setUsername(java.lang.String username)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshAuthenticationClient

    public SshAuthenticationClient()

Method Detail

### getMethodName

    public abstract java.lang.String getMethodName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### authenticate

    public abstract void authenticate(AuthenticationProtocolClient authentication,
                                      java.lang.String serviceToStart)
                               throws java.io.IOException,
                                      TerminatedStateException

  DOCUMENT ME!

  Parameters:
    `authentication` - DOCUMENT ME!
    `serviceToStart` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `TerminatedStateException` - DOCUMENT ME!

### setAuthenticationPrompt

    public void setAuthenticationPrompt(SshAuthenticationPrompt prompt)
                                 throws AuthenticationProtocolException

  DOCUMENT ME!

  Parameters:
    `prompt` - DOCUMENT ME!
  Throws:
    `AuthenticationProtocolException` - DOCUMENT ME!

### getAuthenticationPrompt

    public SshAuthenticationPrompt getAuthenticationPrompt()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setUsername

    public void setUsername(java.lang.String username)

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!

### getUsername

    public java.lang.String getUsername()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPersistableProperties

    public abstract java.util.Properties getPersistableProperties()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPersistableProperties

    public abstract void setPersistableProperties(java.util.Properties properties)

  DOCUMENT ME!

  Parameters:
    `properties` - DOCUMENT ME!

### canAuthenticate

    public abstract boolean canAuthenticate()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### canPrompt

    public boolean canPrompt()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD